summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2015-05-02 04:29:43 +0100
committerV3n3RiX <venerix@rogentos.ro>2015-05-02 04:29:43 +0100
commit2edb8d6403eb04542e79586768299fe1f3b86353 (patch)
tree73bcbe9d019492828950a747ec4b2871d8b224a5
parent4ffd69cb11b5a883ef568cfce86f0f85a7a58d73 (diff)
parentc6e3e8ad21bb3702d26e6218581524ebd3eab49a (diff)
Merge remote-tracking branch 'upstream/master'
-rw-r--r--app-misc/kogaion-version/kogaion-version-2.ebuild84
-rw-r--r--eclass/kogaion-kernel.eclass1
-rw-r--r--sys-devel/gcc-config/gcc-config-1.7.3.ebuild3
-rw-r--r--sys-devel/gcc-config/gcc-config-1.8.ebuild3
-rw-r--r--x11-drivers/ati-drivers/ati-drivers-13.12.ebuild5
-rw-r--r--x11-drivers/ati-drivers/ati-drivers-14.12-r3.ebuild5
-rw-r--r--x11-drivers/ati-drivers/ati-drivers-14.4.ebuild7
-rw-r--r--x11-drivers/ati-drivers/files/ati-drivers-linux-4.0.patch72
8 files changed, 174 insertions, 6 deletions
diff --git a/app-misc/kogaion-version/kogaion-version-2.ebuild b/app-misc/kogaion-version/kogaion-version-2.ebuild
new file mode 100644
index 00000000..0984766d
--- /dev/null
+++ b/app-misc/kogaion-version/kogaion-version-2.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2004-2013 Kogaion
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit multilib
+
+DESCRIPTION="Kogaion system release virtual package"
+HOMEPAGE="http://www.rogentos.ro"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~arm x86"
+
+IUSE=""
+DEPEND=""
+GCC_VER="4.8"
+PYTHON_VER="2.7"
+# Listing default packages for the current release
+RDEPEND="!app-admin/eselect-init
+ !sys-apps/hal
+ !sys-auth/consolekit
+ app-eselect/eselect-python
+ sys-apps/gentoo-systemd-integration
+ dev-lang/python:${PYTHON_VER}
+ sys-apps/systemd
+ sys-devel/base-gcc:${GCC_VER}
+ sys-devel/gcc-config"
+
+src_unpack () {
+ echo "Kogaion Linux ${ARCH} ${PV}" > "${T}/kogaion-release"
+
+ # Anaconda expects a "release" somewhere in the string
+ # and no trailing \n
+ echo -n "Kogaion ${ARCH} release ${PV}" > "${T}/system-release"
+ mkdir -p "${S}" || die
+}
+
+src_install () {
+ insinto /etc
+ doins "${T}"/kogaion-release
+ doins "${T}"/system-release
+
+ # Bug 3459 - reduce the risk of fork bombs
+ insinto /etc/security/limits.d
+ doins "${FILESDIR}/00-sabayon-anti-fork-bomb.conf"
+}
+
+pkg_postinst() {
+ # Setup Python ${PYTHON_VER}
+ eselect python set python${PYTHON_VER}
+ # No need to set the GCC profile here, since it's done in base-gcc
+
+ # Improve systemd support
+ if [[ ! -L /etc/mtab ]] && [[ -e /proc/self/mounts ]]; then
+ rm -f /etc/mtab
+ einfo "Migrating /etc/mtab to a /proc/self/mounts symlink"
+ ln -sf /proc/self/mounts /etc/mtab
+ fi
+
+ # force kdm back to the default runlevel if added to boot
+ # this is in preparation for the logind migration
+ local xdm_conf="${ROOT}/etc/conf.d/xdm"
+ local xdm_boot_runlevel="${ROOT}/etc/runlevels/boot/xdm"
+ local xdm_default_runlevel="${ROOT}/etc/runlevels/default/xdm"
+ if [ -e "${xdm_conf}" ] && [ -e "${xdm_boot_runlevel}" ]; then
+ DISPLAYMANAGER=""
+ . "${xdm_conf}"
+ if [ "${DISPLAYMANAGER}" = "kdm" ]; then
+ elog "Moving xdm (kdm) from boot runlevel to default"
+ elog "or logind will not work as expected"
+ mv -f "${xdm_boot_runlevel}" "${xdm_default_runlevel}"
+ fi
+ fi
+
+ # remove old hal udev rules.d file, if found. sys-apps/hal is long gone.
+ rm -f "${ROOT}/lib/udev/rules.d/90-hal.rules"
+
+ # make sure that systemd is correctly linked to /sbin/init
+ # Drop this in 2015, keep in sync with systemd-sysv-utils
+ ln -sf ../usr/lib/systemd/systemd "${ROOT}/sbin/init" || true
+}
diff --git a/eclass/kogaion-kernel.eclass b/eclass/kogaion-kernel.eclass
index f34cfc94..82892701 100644
--- a/eclass/kogaion-kernel.eclass
+++ b/eclass/kogaion-kernel.eclass
@@ -198,7 +198,6 @@ if [ "${K_ROGKERNEL_PATCH_UPSTREAM_TARBALL}" = "1" ]; then
UNIPATCH_LIST="${UNIPATCH_LIST} ${DISTDIR}/${_patch_name}"
unset _patch_name
elif [ -n "${K_ROGKERNEL_SELF_TARBALL_NAME}" ]; then
- #SRC_URI="mirror://kogaion/${CATEGORY}/linux-${PVR}+${K_ROGKERNEL_SELF_TARBALL_NAME}.tar.${K_TARBALL_EXT}"
SRC_URI="http://bpr.bluepink.ro/~rogentos/distro/${CATEGORY}/linux-${PVR}+${K_ROGKERNEL_SELF_TARBALL_NAME}.tar.${K_TARBALL_EXT}"
else
SRC_URI="${KERNEL_URI}"
diff --git a/sys-devel/gcc-config/gcc-config-1.7.3.ebuild b/sys-devel/gcc-config/gcc-config-1.7.3.ebuild
index 714ffc44..a4ba1028 100644
--- a/sys-devel/gcc-config/gcc-config-1.7.3.ebuild
+++ b/sys-devel/gcc-config/gcc-config-1.7.3.ebuild
@@ -13,9 +13,8 @@ SRC_URI="mirror://gentoo/${P}.tar.xz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
-IUSE="openrc +systemd"
+IUSE="+systemd"
DEPEND="
- openrc? ( >=sys-apps/openrc-0.12.4 )
systemd? ( >=sys-apps/gentoo-functions-0.7 )"
src_prepare() {
diff --git a/sys-devel/gcc-config/gcc-config-1.8.ebuild b/sys-devel/gcc-config/gcc-config-1.8.ebuild
index dd594437..da5c634b 100644
--- a/sys-devel/gcc-config/gcc-config-1.8.ebuild
+++ b/sys-devel/gcc-config/gcc-config-1.8.ebuild
@@ -13,9 +13,8 @@ SRC_URI="mirror://gentoo/${P}.tar.xz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
-IUSE="openrc +systemd"
+IUSE="+systemd"
DEPEND="
- openrc? ( >=sys-apps/openrc-0.12.4 )
systemd? ( >=sys-apps/gentoo-functions-0.7 )"
src_prepare() {
diff --git a/x11-drivers/ati-drivers/ati-drivers-13.12.ebuild b/x11-drivers/ati-drivers/ati-drivers-13.12.ebuild
index 5af335c3..b6e549f9 100644
--- a/x11-drivers/ati-drivers/ati-drivers-13.12.ebuild
+++ b/x11-drivers/ati-drivers/ati-drivers-13.12.ebuild
@@ -156,6 +156,11 @@ src_prepare() {
# Linux 3.13 support
epatch "${FILESDIR}/buildfix_kernel_3.13.patch"
+ # Linux 4.0 support
+ if kernel_is ge 4 0; then
+ epatch "${FILESDIR}/${PN}-linux-4.0.patch"
+ fi
+
# Compile fix, https://bugs.gentoo.org/show_bug.cgi?id=454870
use pax_kernel && epatch "${FILESDIR}/const-notifier-block.patch"
diff --git a/x11-drivers/ati-drivers/ati-drivers-14.12-r3.ebuild b/x11-drivers/ati-drivers/ati-drivers-14.12-r3.ebuild
index 168b39e8..b351099a 100644
--- a/x11-drivers/ati-drivers/ati-drivers-14.12-r3.ebuild
+++ b/x11-drivers/ati-drivers/ati-drivers-14.12-r3.ebuild
@@ -167,6 +167,11 @@ src_prepare() {
# Linux 3.19 support
epatch "${FILESDIR}/${P}-linux-3.19.patch"
+ # Linux 4.0 support
+ if kernel_is ge 4 0; then
+ epatch "${FILESDIR}/${PN}-linux-4.0.patch"
+ fi
+
cd "${MODULE_DIR}"
# bugged fglrx build system, this file should be copied by hand
cp ${ARCH_DIR}/lib/modules/fglrx/build_mod/libfglrx_ip.a 2.6.x
diff --git a/x11-drivers/ati-drivers/ati-drivers-14.4.ebuild b/x11-drivers/ati-drivers/ati-drivers-14.4.ebuild
index 9892b7c8..afc92344 100644
--- a/x11-drivers/ati-drivers/ati-drivers-14.4.ebuild
+++ b/x11-drivers/ati-drivers/ati-drivers-14.4.ebuild
@@ -154,12 +154,17 @@ src_prepare() {
# Fix #483400
epatch "${FILESDIR}/fgl_glxgears-do-not-include-glATI.patch"
- # Sabayon 3.9 kernels are versioned 3.9.0
+ # Kogaion 3.9 kernels are versioned 3.9.0
epatch "${FILESDIR}/ati-drivers-14.4-acpi.patch"
# Compile fix, https://bugs.gentoo.org/show_bug.cgi?id=454870
use pax_kernel && epatch "${FILESDIR}/const-notifier-block.patch"
+ # Linux 4.0 support
+ if kernel_is ge 4 0; then
+ epatch "${FILESDIR}/${PN}-linux-4.0.patch"
+ fi
+
cd "${MODULE_DIR}"
# bugged fglrx build system, this file should be copied by hand
cp ${ARCH_DIR}/lib/modules/fglrx/build_mod/libfglrx_ip.a 2.6.x
diff --git a/x11-drivers/ati-drivers/files/ati-drivers-linux-4.0.patch b/x11-drivers/ati-drivers/files/ati-drivers-linux-4.0.patch
new file mode 100644
index 00000000..9b321955
--- /dev/null
+++ b/x11-drivers/ati-drivers/files/ati-drivers-linux-4.0.patch
@@ -0,0 +1,72 @@
+diff --git a/common/lib/modules/fglrx/build_mod/firegl_public.c b/common/lib/modules/fglrx/build_mod/firegl_public.c
+index 0f7399d..eb23e06 100644
+--- a/common/lib/modules/fglrx/build_mod/firegl_public.c
++++ b/common/lib/modules/fglrx/build_mod/firegl_public.c
+@@ -4240,8 +4240,13 @@ static void kcl_mem_pat_setup (void *info)
+
+ if (cpu_has_pge)
+ {
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3,20,0)
+ cr4 = read_cr4();
+ write_cr4(cr4 & ~X86_CR4_PGE);
++#else
++ cr4 = __read_cr4();
++ __write_cr4(cr4 & ~X86_CR4_PGE);
++#endif
+ }
+ __flush_tlb();
+
+@@ -4254,7 +4259,11 @@ static void kcl_mem_pat_setup (void *info)
+ write_cr0(cr0 & 0xbfffffff);
+ if (cpu_has_pge)
+ {
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3,20,0)
+ write_cr4(cr4);
++#else
++ __write_cr4(cr4);
++#endif
+ }
+ local_irq_restore(flags);
+
+@@ -4281,8 +4290,13 @@ static void kcl_mem_pat_restore (void *info)
+
+ if (cpu_has_pge)
+ {
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3,20,0)
+ cr4 = read_cr4();
+ write_cr4(cr4 & ~X86_CR4_PGE);
++#else
++ cr4 = __read_cr4();
++ __write_cr4(cr4 & ~X86_CR4_PGE);
++#endif
+ }
+ __flush_tlb();
+
+@@ -4294,7 +4308,11 @@ static void kcl_mem_pat_restore (void *info)
+ write_cr0(cr0 & 0xbfffffff);
+ if (cpu_has_pge)
+ {
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3,20,0)
+ write_cr4(cr4);
++#else
++ __write_cr4(cr4);
++#endif
+ }
+ local_irq_restore(flags);
+
+diff --git a/common/lib/modules/fglrx/build_mod/kcl_str.c b/common/lib/modules/fglrx/build_mod/kcl_str.c
+index 2d89eb0..6df117c 100644
+--- a/common/lib/modules/fglrx/build_mod/kcl_str.c
++++ b/common/lib/modules/fglrx/build_mod/kcl_str.c
+@@ -169,7 +169,11 @@ int ATI_API_CALL KCL_STR_Strnicmp(const char* s1,
+ const char* s2,
+ KCL_TYPE_SizeSigned count)
+ {
++#if LINUX_VERSION_CODE < KERNEL_VERSION(3,20,0)
+ return strnicmp(s1, s2, count);
++#else
++ return strncasecmp(s1, s2, count);
++#endif
+ }
+
+ /** \brief Locate character in string